Problem installing plugins

I’m trying to install a plugin using the supplied command…

$ script/plugin install svn://rubyforge.org//var/svn/backgroundrb

I get an error

sh: line 1: svn: command not found

What am I doing wrong? What is svn, and why is it not found?? It seems
to work for everyone else…
Have I missed something in my Ruby install?

On 7/25/06, jh100000 [email protected] wrote:

What am I doing wrong? What is svn, and why is it not found?? It seems
to work for everyone else…
Have I missed something in my Ruby install?

svn=subversion (a version control system). you apparently don’t have it
installed.

http://subversion.tigris.org/

You’re probably running on Windows and have not installed the svn
binaries. If so, you can get them here:

http://subversion.tigris.org/servlets/ProjectDocumentList?folderID=91

You should be able to run svn from the command line before installing
plugins will work.

Ideally, svn would be installed with the One-Click Ruby Installer and
Instant Rails.

        - dan


Dan K. mailto:[email protected]
http://www.dankohn.com/ tel:+1-415-233-1000

If he’s running windows, then he needs to say:

ruby script/plugin . . .

Curt

Sorry - I should have said I’m running Mac OSX Tiger

I’ve had a look at

http://subversion.tigris.org/servlets/ProjectDocumentList?folderID=91

but seems to be just Windows binaries for svn. But that has led me to
this link for MacOS universal binaries…

http://metissian.com/projects/macosx/subversion/

and it worked! I’ve now managed to get backgroundRb installed.

Thanks everyone!

–John

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs